<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Tipo de Sangre</title>
        <h:outputStylesheet name="style.css" library="css" />
    </h:head>
    <h:body>

        <ui:composition template="./padre.xhtml">
            <ui:define name="content"> 

                <p:fieldset legend="Tipo de Sangre"  style="margin-bottom:10px" > 
                    <h:form id="formIngre">
                        <p:growl id="msg" />
                        <h:panelGrid columns="2" cellpadding="2" cellspacing="2"> 
                            <h:outputText value="Tipo de Sangre" style="margin-right:5px;"></h:outputText>
                            <p:inputText value="#{tipo_sangreController.tipo_sangre.tipo}"></p:inputText>

                            <div class="registrar"> 
                                <p:commandButton style="top:6px" icon="pi pi-save"   rendered="#{tipo_sangreController.tipo_sangre.tipo==null}" value="Registrar" actionListener="#{tipo_sangreController.guardar()}" update=":tabla,formIngre,:formIngre:msg"/>
                            </div>
                            <p:commandButton icon="pi pi-times"   rendered="#{tipo_sangreController.tipo_sangre.tipo!=null}" value="Cancelar" actionListener="#{tipo_sangreController.init()}" update=":tabla,formIngre,:formIngre:msg"/>
                            <p:commandButton  icon="pi pi-refresh" rendered="#{tipo_sangreController.tipo_sangre.tipo!=null}" value="Actualizar" actionListener="#{tipo_sangreController.modificar()}" update=":tabla,formIngre,:formIngre:msg"/>
                        </h:panelGrid>
                    </h:form>    
                </p:fieldset>



                <p:fieldset legend="Listado de Tipos de Sangre"> 
                    <h:form id="tabla"  class="dosColumnas">
                        <p:dataTable value="#{tipo_sangreController.lista_de_tipo_sangre}" var="p" id="data" paginator="true" rows="5" style="width: 80%; margin: auto">

                            <p:column headerText="Nombre">
                                <h:outputText value="#{p.tipo}"></h:outputText>
                            </p:column>

                            <p:column headerText="Acciones">
                                <div class="eliminar"> 
                                    <p:commandButton icon="pi pi-trash"  value="Eliminar" actionListener="#{tipo_sangreController.eliminar(p)}" update=":tabla"/>
                                </div>
                                <div class="editar"> 
                                    <p:commandButton icon="pi pi-pencil" value="Editar" actionListener="#{tipo_sangreController.cargar(p)}" update=":formIngre"></p:commandButton>
                                </div>
                            </p:column>
                        </p:dataTable>
                    </h:form>
                </p:fieldset>


            </ui:define>
        </ui:composition>

    </h:body>
</html>

